using System;
using System.Collections;
using Server.Misc;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a dwarven corpse" )]
	public class DwarfKnight : BaseCreature
	{
		[Constructable]
		public DwarfKnight() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "dwarf" );
			HiddenTitle = "the dwarven knight";
			Body = 286;
			BaseSoundID = 0x5FB;
			Clan = Clan.Humanoid;

			SetStr( 147, 215 );
			SetDex( 91, 115 );
			SetInt( 61, 85 );

			SetHits( 95, 123 );

			SetDamage( 4, 14 );

			SetSkill( SkillName.MagicResist, 70.1, 85.0 );
			SetSkill( SkillName.Swords, 60.1, 85.0 );
			SetSkill( SkillName.Tactics, 75.1, 90.0 );
			SetSkill( SkillName.HandToHand, 60.1, 85.0 );

			Fame = 2500;
			Karma = -2500;

			switch ( Utility.Random( 6 ) )
			{
				case 0: PackItem( new PlateGorget() );  break;
				case 1: PackItem( new PlateChest() ); break;
				case 2: PackItem( new PlateLegs() ); break;
				case 3: PackItem( new PlateArms() ); break;
				case 4: PackItem( new PlateGloves() ); break;
				case 5: PackItem( new NorseHelm() ); break;
			}

			PackItem( new DoubleAxe() );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Meager );
			AddLoot( LootPack.Average );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override int Meat{ get{ return 1; } }

		public override int GetIdleSound()
		{
			return Utility.RandomList( 0x41D, 0x41F, 0x420, 0x42E, 0x442, 0x444, 0x448 );
		}

		public DwarfKnight( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}